aboutsummaryrefslogtreecommitdiff
path: root/util/buildbot/buildwin64.sh
diff options
context:
space:
mode:
authorJuozas <juozaspo@gmail.com>2021-06-22 20:59:09 +0300
committerGitHub <noreply@github.com>2021-06-22 19:59:09 +0200
commitcec0dfcbbda1e11e5ff2f45e58ea393d0437d7c6 (patch)
treef7e8870f9859f996bee3203f6933b00e603725ab /util/buildbot/buildwin64.sh
parenta8b7c8ff38d305f1cde045564779e287adfca98b (diff)
downloadhax-minetest-server-cec0dfcbbda1e11e5ff2f45e58ea393d0437d7c6.tar.gz
hax-minetest-server-cec0dfcbbda1e11e5ff2f45e58ea393d0437d7c6.zip
Buildbot: Use posix on Win64 builds if available (#11355)
Use posix mingw-w64 toolchain on Win64 builds where applicable, avoids many build errors when using buildwin64.sh to build 64 bit builds on Ubuntu based Linux distributions
Diffstat (limited to 'util/buildbot/buildwin64.sh')
-rwxr-xr-xutil/buildbot/buildwin64.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/util/buildbot/buildwin64.sh b/util/buildbot/buildwin64.sh
index b9b23a133..3b5d61c96 100755
--- a/util/buildbot/buildwin64.sh
+++ b/util/buildbot/buildwin64.sh
@@ -18,7 +18,18 @@ mkdir -p $builddir
builddir="$( cd "$builddir" && pwd )"
libdir=$builddir/libs
-toolchain_file=$dir/toolchain_x86_64-w64-mingw32.cmake
+# Test which win64 compiler is present
+which x86_64-w64-mingw32-gcc &>/dev/null &&
+ toolchain_file=$dir/toolchain_x86_64-w64-mingw32.cmake
+which x86_64-w64-mingw32-gcc-posix &>/dev/null &&
+ toolchain_file=$dir/toolchain_x86_64-w64-mingw32-posix.cmake
+
+if [ -z "$toolchain_file" ]; then
+ echo "Unable to determine which mingw32 compiler to use"
+ exit 1
+fi
+echo "Using $toolchain_file"
+
irrlicht_version=1.9.0mt1
ogg_version=1.3.4
vorbis_version=1.3.7